package main

import (
	"github.com/signintech/gopdf"
	"log"
)

func main() {

	// 1 初始化 pdf 对象
	pdf := gopdf.GoPdf{}
	pdf.Start(gopdf.Config{PageSize: *gopdf.PageSizeA4})

	// 2 添加一页
	pdf.AddPage()

	// 3
	err := pdf.AddTTFFont("simfang", "D:\\code\\cicv-data-closedloop\\test\\pdf\\ttf\\simfang.ttf")
	if err != nil {
		log.Print(err.Error())
		return
	}

	err = pdf.SetFont("simfang", "", 14)
	if err != nil {
		log.Print(err.Error())
		return
	}
	err = pdf.Cell(nil, "您好")
	if err != nil {
		return
	}
	err = pdf.WritePdf("D:\\hello.pdf")
	if err != nil {
		return
	}

}
